<?php

namespace Ignite\Core\Models\Grid;

use Ignite\Core\Entities\Audit;

class ParticipantActivityTable extends ParticipantHistoryTable
{
    /**
     * The report query.
     *
     * @return \Illuminate\Database\Query\Builder
     */
    public function query()
    {
        return $this->applyScopes(
            Audit::with(['user' => function($user) {
                return $user;
            }])->where('user_id', $this->user_id)
        );
    }
}
